=== debian/changelog ===
ros-indigo-canopen-motor-node (0.6.9-0trusty) trusty; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 22 May 2018 22:00:00 -0000

ros-indigo-canopen-motor-node (0.6.8-0trusty) trusty; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-canopen-motor-node (0.6.7-0trusty) trusty; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 27 Mar 2017 22:00:00 -0000

ros-indigo-canopen-motor-node (0.6.6-0trusty) trusty; urgency=high

  * do not call handleReadread in HandleLayer::handleRecover
    this prevents a race condition, it is not needed anyway.
  * protect ObjectVariables with mutex
  * added test for norm function
  * introduced per-controller enforce_limits parameter
  * implemented per-joint limits handling
  * backport: check if hardware interface matches mode
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 17 Mar 2017 23:00:00 -0000

ros-indigo-canopen-motor-node (0.6.5-0trusty) trusty; urgency=high

  * protect MotorChain setup with RosChain lock
  * Merge pull request #153 <https://github.com/ipa-mdl/ros_canopen/issues/153> from ipa-mdl/deprecated-canswitch
    deprecated canSwitch
  * fix for issue #171 <https://github.com/ipa-mdl/ros_canopen/issues/171>
  * Merge pull request #168 <https://github.com/ipa-mdl/ros_canopen/issues/168> from ipa-mdl/state-filters
    added filter chain for state values
  * do not start driver if filter config fails
  * added filter chain for state values
  * log control period settings
  * use update_period_ for controll unless use_realtime_period is set true
  * better initialize last_time_
  * removed canSwitch implementation, added compile-time check for prepareSwitch
  * exit code for generic error should be 1, not -1
  * styled and sorted CMakeLists.txt
    * removed boilerplate comments
    * indention
    * reviewed exported dependencies
  * styled and sorted package.xml
  * update package URLs
  * foward commands ony if enabled in doSwitch
  * moved switch implemenation to non-RT prepareSwitch
  * migrated to non-const prepareSwitch
  * Splitted control_node.cpp into control_node.cpp, robot_layer.cpp and robot_layer.h
  * renamed chain_ros.h to ros_chain.h, fixes #126 <https://github.com/ipa-mdl/ros_canopen/issues/126>
  * added strictness to service call, extend error message for doSwitch fails
  * stop controllers that failed switching via service call
  * stop all cotnroller joints if one failed to switch
  * check for ready state before controller/mode switching
  * improved init bevaviour:
    * URDF is not read again (was not needed anyway=
    * register interfaces only of first init
  * remove unnecessary atomic reads
  * halt motor if switch failed
  * Fix for switching controllers with same mode
  * More expressive comments for compile-time check
  * Contributors: Mathias Lüdtke, Michael Stoll

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 09 Dec 2016 23:00:00 -0000

ros-indigo-canopen-motor-node (0.6.4-0trusty) trusty; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 02 Jul 2015 22:00:00 -0000

ros-indigo-canopen-motor-node (0.6.3-0trusty) trusty; urgency=high

  * added motor prefix to allocator entry
  * only register limit interfaces with actual limits
  * added motor_layer settings
  * Migrated to ClassAllocator helper
  * do not run controller manager on shutdown
  * migrated to motor plug-in
  * working compile-time check
  * reset commands without controllers to current value
  * got rid of getModeMask
  * added check for old unit factors
  * added closing braces in default conversion strings
  * forgot var_func assignment in constructor
  * ensured UnitConverter access to factory is valid during lifetime
  * add unit conversion based on muparser
  * dependency on muparser
  * Refer to ipa320/ros_control overlay
  * migrated to new hwi switch interface
  * atomic joint handle pointer
  * test if mode is support, add No_Mode
  * enabled limit enforcing again
  * removed debug output
  * Fixes https://github.com/ipa320/ros_canopen/issues/81
  * Enforce limits and current_state necessary for writing
  * Merge remote-tracking branch 'mdl/indigo_dev' into refactor_sm
    Conflicts:
    canopen_402/include/canopen_402/canopen_402.h
    canopen_402/src/canopen_402/canopen_402.cpp
    canopen_motor_node/src/control_node.cpp
  * refactored Layer mechanisms
  * Fixes crash for unitialized boost pointer for ``target_vel_`` and ``target_pos_``
  * MotorChain is now a template
  * early check if joint is listed in URDF
  * introduced 'joint' parameter (defaults to 'name')
  * 'modules' was renamed to 'nodes'
  * Merge branch 'indigo_dev' of https://github.com/ipa320/ros_canopen into indigo_dev
  * Merge pull request #70 <https://github.com/ros-industrial/ros_canopen/issues/70> from ipa-mdl/pluginlib
    added plugin feature to socketcan_interface
  * compile-time check for ros_control notifyHardwareInterface supportcompü
  * added driver_plugin parameter for pluginlib look-up
  * implemented threading in CANLayer
  * removed SimpleLayer, migrated to Layer
  * Layer::pending and Layer::halt are now virtual pure as well
  * 
    
      * Eliminates Internal State conflict
      * Treats exceptions inside the state machine
    
  * keep loop running
  * proper locking for hardware interface switch (might fix #61 <https://github.com/ros-industrial/ros_canopen/issues/61>)
  * Merge branch 'auto_scale' into indigo_dev
    Conflicts:
    canopen_chain_node/include/canopen_chain_node/chain_ros.h
  * Merge remote-tracking branch 'ipa320/indigo_dev' into indigo_dev
    Conflicts:
    canopen_chain_node/include/canopen_chain_node/chain_ros.h
    canopen_motor_node/src/control_node.cpp
  * removed MasterType form template
  * Merge branch 'indigo_dev' into merge
    Conflicts:
    canopen_chain_node/include/canopen_chain_node/chain_ros.h

