=== debian/control ===
Source: ros-indigo-canopen-motor-node
Section: misc
Priority: extra
Maintainer: Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), libmuparser-dev, ros-indigo-canopen-402, ros-indigo-canopen-chain-node, ros-indigo-catkin, ros-indigo-controller-manager, ros-indigo-controller-manager-msgs, ros-indigo-filters, ros-indigo-hardware-interface, ros-indigo-joint-limits-interface, ros-indigo-urdf
Homepage: http://wiki.ros.org/canopen_motor_node
Standards-Version: 3.9.2

Package: ros-indigo-canopen-motor-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmuparser-dev, ros-indigo-canopen-402, ros-indigo-canopen-chain-node, ros-indigo-controller-manager, ros-indigo-controller-manager-msgs, ros-indigo-filters, ros-indigo-hardware-interface, ros-indigo-joint-limits-interface, ros-indigo-urdf
Description: This package extends the canopen_chain_node with specialized handling for canopen_402 devices.
 It facilitates interface abstraction with ros_control.
